V3TC.AQ
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/v3tc-aq/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/v3tc-aq/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1753056000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/btcNLNico/status/1947178039281881454?t=ewmyJywUIsAfWnsmi7Agbw&s=19",
"holding_balance": 70.0,
"holding_net_change": 20.0,
"transaction_value_usd": 2387600.0,
"average_entry_value_usd": 119380.0,
"transaction_value_calculated": false
},
{
"date": 1754438400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/btcNLNico/status/1952974571864236288?t=gCIveComRb0h3Urn3iWlcw&s=19",
"holding_balance": 117.8,
"holding_net_change": 47.85,
"transaction_value_usd": 5683027.0,
"average_entry_value_usd": 118767.54,
"transaction_value_calculated": false
},
{
"date": 1755043200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/V3TC_21/status/1955582541685244133",
"holding_balance": 135.0,
"holding_net_change": 17.15,
"transaction_value_usd": 2063265.0,
"average_entry_value_usd": 120307.0,
"transaction_value_calculated": false
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/v3tc-aq/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
135.0
],
[
1779062400000,
135.0
],
[
1779148800000,
135.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/v3tc-aq/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
10453031.1
],
[
1779062400000,
10387476.45
],
[
1779148800000,
10362601.35
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/v3tc-aq/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/v3tc-aq/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/v3tc-aq/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/v3tc-aq/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}